SDL_AddGamepadMappingsFromFile(3)

NAME
SDL_AddGamepadMappingsFromFile - Load a set of gamepad mappings from a file.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AddGamepadMappingsFromFile(const char *file);

DESCRIPTION
You can call this function several times, if needed, to load different database files.

If a new mapping is loaded for an already known gamepad GUID, the later version will overwrite the one currently loaded.

Any new mappings for already plugged in controllers will generate

SDL_EVENT_GAMEPAD_ADDED
 events.

Mappings not belonging to the current platform or with no platform field specified will be ignored (i.e. mappings for Linux will be ignored in Windows, etc).

FUNCTION PARAMETERS

file
    the mappings file to load.

RETURN VALUE
Returns the number of mappings added or -1 on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddGamepadMapping(3), •(3), SDL_AddGamepadMappingsFromIO(3), •(3), SDL_GetGamepadMapping(3), •(3), SDL_GetGamepadMappingForGUID(3), •(3), SDL_HINT_GAMECONTROLLERCONFIG(3), •(3), SDL_HINT_GAMECONTROLLERCONFIG_FILE(3), •(3), SDL_EVENT_GAMEPAD_ADDED(3)